# Set up the libraries.
set link_library {./nangate.db}
set target_library {./nangate.db}

set design_name VRCA_64

# Read in a verilog file.
read_file -format verilog {ripple_carry_adder_64.v}

# Set the top-level module.
current_design $design_name

# Timing constraints
set_max_delay 5.0 -from {gA* gB* gCin} -to {gS* gCout}

# Set max. fanout and max. capacitance.
set_max_fanout 8 [get_designs $design_name]
set_max_capacitance 0.1 [get_designs $design_name]

# Load cap. for the primary outputs.
set_load 0.01 {gS* gCout}

# compile
compile -exact_map -area_effort low -power_effort low -map_effort medium

# output
ungroup -all -flatten

report_timing
report_area

